tellraw @s[scores={trigger.talked_to_villager=46}] [{"selector":"@e[type=minecraft:villager,limit=1,tag=alaric]"},{"text":": To truly grasp the essence of magic, one must often begin as a humble novice, though I suspect you will uncover the secrets of it in time. You see, the world is woven with what we call Ley Lines\u2014invisible threads of arcane energy that crisscross the land, forming a vast network. When these lines converge, they give rise to what is known as an Arcane Node\u2014a concentration of raw, magical power. The more lines that intersect, the greater the strength of the Node.\nShould you kneel before such a Node, even for a moment, the power of the ancient gods themselves may bless you. This divine boon manifests in many forms, such as granting resistance to fire, the gift of night vision, swiftness of foot, enhanced health, rapid regeneration, or even the ability to breathe beneath water. Some have been known to feel an increase in their strength or a quicker return of their magicka.\nThese blessings, however, are fleeting and last no longer than the span of a single day. Now, leave me. I must think, and I find my mind clearer when left in solitude."}]

tellraw @s[scores={trigger.talked_to_villager=47}] [{"selector":"@e[type=minecraft:villager,limit=1,tag=alaric]"},{"text":": Ah, still here, are you? Hm. Very well. Magicka, as you must know, is the inherent magical force that courses through all living beings, present in every creature, plant, and even in the very stones of the earth. It is the lifeblood of all that is magical. For those schooled in the arcane arts, magicka becomes a tool, a conduit through which one may perform feats of wizardry, sorcery, conjuration, and transformation.\nSome wizards\u2014those of particularly impressive skill\u2014bind their own magicka into enchanted weapons, making them conduits for their power. Such weapons draw the necessary energy from their wielders, or, if they are strong enough, they may tap into the weapon\u2019s own reserves. And then, of course, there are the scrolls\u2014arcane writings imbued with a single-use spell. Once invoked, these scrolls are destroyed, their magic spent in the casting.\nBut the most advanced of all practices involves rituals\u2014ancient and complex ceremonies that may draw from the caster's own magicka, from the ingredients used, or, in rare cases, from both. These rites require immense patience and unparalleled experience, but they often produce the most potent of spells.\nIf you wish to learn more about this art, you should seek out Erazor the All Seeing, my master. He dwells in a house deep within the forests, a place overrun with nature. But be warned\u2014his abode is no ordinary dwelling. It moves, shifting from one place to another, so finding him is no easy task. He may be able to offer you further guidance on the subject, but approach with caution. There is power in his knowledge, and not all who seek it are ready for what they may uncover."}]

tellraw @s[scores={trigger.talked_to_villager=48}] [{"selector":"@e[type=minecraft:villager,limit=1,tag=alaric]"},{"text":": As I mentioned before, certain enchantments draw magicka from the wielder's own reserves. If your magicka reservoir is insufficient\u2014meaning your mastery of the arcane is still lacking\u2014you will find that such enchantments remain out of reach. In these cases, your body is incapable of channeling the necessary energy, and the power remains dormant.\nMagicka, however, is not endless. It replenishes over time, albeit slowly. But proximity to an Arcane Node can accelerate this process. Near such nodes, you will feel the familiar stirrings of your own power returning swiftly, like a storm gathering force.\nThere is, however, one crucial factor: sustenance. Should your body be malnourished or fatigued, it cannot properly replenish the magicka it has expended. A well-fed and nourished body is essential to maintaining your ability to channel and regenerate magicka effectively. Without it, your reserves will stagnate, and your efforts to harness power may very well end in failure\u2014or worse, in harm to yourself."}]

tellraw @s[scores={trigger.talked_to_villager=49}] [{"selector":"@e[type=minecraft:villager,limit=1,tag=alaric]"},{"text":": It can prove quite useful, indeed. You see, when you have the luxury of time and the presence of mind, you can store magicka within a scroll, thus conserving your personal reserves for a time of need. I make use of this practice frequently, though it took me decades to perfect it. I doubt you could manage such a feat yet, unless you\u2019ve truly mastered the arcane arts.\nNow, as for the scrolls themselves: they are not simple trinkets. When properly prepared, they can unleash ritual-like spells, carefully stored and awaiting their moment. Depending on the scroll\u2019s enchantment, the effects can vary greatly\u2014perhaps a torrent of flames to scorch your enemies, a biting frost to freeze them in their tracks, a storm of thunder to strike them down, or even a protective ward that surrounds you, offering a brief respite to recover.\nBut be warned: the power contained within these scrolls is limited. Their potency is tied to both the energy bound within them and their duration, which is often no more than half a minute. Use them wisely, for once the magic has been expended, the scroll is no more than a mere scrap of parchment."}]

tellraw @s[scores={trigger.talked_to_villager=50}] [{"selector":"@e[type=minecraft:villager,limit=1,tag=alaric]"},{"text":": Let it be known: if you continue your incessant questioning, I shall begin charging you for each inquiry. Hmmpf. Now, as for magical companions\u2014those monstrous beings conjured through the force of arcane power\u2014there are three primary methods of creation. Each has its own purpose, depending on the needs of the caster.\nThe first method involves controlling an existing beast\u2014be it summoned from the wilds or captured and bound to your will. The second method entails crafting a creature by combining elements of plants and animals, a fusion of life that obeys your command. The third and most complex of all is creating a beast entirely from your own will\u2014bending the very fabric of magic to manifest a creature that never existed before.\nEach of these methods is useful, depending on the situation, but they come with their own challenges. Due to the limited time and resources available to me, I often opt for the second method\u2014using the essence of plants and animals, and binding them into a spell scroll to summon them when I require them during my expeditions.\nIf you seek to learn these arts, I can provide you with a few simpler conjurations. But should you desire more powerful creations, I suggest you seek the Cloud Nomads. They have long perfected their conjuring techniques and their beasts\u2014if unleashed\u2014can cleave through enemy hordes with devastating precision."}]

tellraw @s[scores={trigger.talked_to_villager=61}] [{"selector":"@e[type=minecraft:villager,limit=1,tag=alaric]"},{"text":": Ah, yes, a most useful spell indeed. When preparing for long journeys, one may create a 'teleportation anchor,' a fixed point in space that allows you to return to it no matter where you are. As long as you remain within this world\u2014without crossing into the realms beyond\u2014the anchor will stay in place. Whether you find yourself in the depths of the Molten Abyss or the shadowy voids of the Shadowlands, you may return with but a thought.\nIn addition to your own person, you may bring along a single mount and up to three companions. A recent modification to the spell allows for an additional boon: any entity that is tagged as 'Teleport' may also accompany you. However, this new feature is\u2026 temperamental. While it functions as intended most of the time, there are instances where the entity may remain invisible upon arrival. I have yet to discern the cause of this anomaly, though I suspect it may involve the nature of the entity itself. A mystery to be solved, I suppose. For now, if you wish to attempt it, be prepared for unforeseen complications."}]

tellraw @s[scores={trigger.talked_to_villager=62}] [{"selector":"@e[type=minecraft:villager,limit=1,tag=alaric]"},{"text":": Still, the origin of these runes remains a mystery, though one thing is certain: their effects are beyond dispute. Each rune serves a specific purpose, granting the bearer a temporary boon. Some enhance vitality, others increase the maximum magicka one can generate, or reduce the damage from falls, allowing one to descend great heights with nary a scratch. A few runes extend the range of one's reach or prolong the time one can hold their breath beneath water before succumbing to suffocation.\nHowever, these runes are not without limitations. Each has a maximum threshold\u2014the point at which your body cannot be further enhanced\u2014and once used, they are destroyed, their magic expended.\nSuch runes are commonly found in the ruins of ancient civilizations, remnants of the world that existed before the Great War. Though, if you seek them, it is not uncommon for travelers to part with these precious artifacts for a considerable sum. Fortunately for you, I happen to have a few in my possession. Should you wish to augment your physical attributes, I would be willing to offer them\u2014at a price, of course."}]

tellraw @s[scores={trigger.talked_to_villager=63}] [{"selector":"@e[type=minecraft:villager,limit=1,tag=alaric]"},{"text":": Ah, truly magnificent creatures, these. On occasion, I have been fortunate enough to spot one during my expeditions through the Molten Abyss. Some possess the remarkable ability to leap great distances, as though they were as light as a tree\u2019s branch. Others move faster than the wind itself, their bodies aflame as they race across the land. And there are those that stride across both lava and water, cooling it to basalt or ice in their wake. The sheer power they possess... I can scarcely imagine what it must be like to ride such a creature. A splendid thought, indeed.\nYet, it saddens me to say that most travelers nowadays see them as little more than game\u2014hunting them for their precious hearts. These organs, you see, possess immense magical potential. Some have used them to enhance their own newly-created mounts, much like the animal that the Breeder up the street keeps.\nAs for myself... well, I find that I must often sell the hearts of those creatures that die by natural causes. I use the proceeds to fund my expeditions and research. Life is, as they say, a constant cycle of giving and taking."}]

tellraw @s[scores={trigger.talked_to_villager=64}] [{"selector":"@e[type=minecraft:villager,limit=1,tag=alaric]"},{"text":": You mean the Emberstone Bastion, do you not? Indeed, it is a most curious and dangerous place. Magic, when wielded properly, can fulfill one\u2019s wildest dreams\u2014unlocking the deepest mysteries of the universe. But in the hands of a wizard teetering on the edge of madness, that same power can have catastrophic consequences.\nThe Bastion, as it now stands, is the result of a failed attempt to open a grand portal to the Molten Abyss. The intention was to create a stable connection between our world and that infernal realm, but instead, the portal tore a rift in the very fabric of reality. A fragment of the Abyss was ripped from its place and forced into ours. Now, this floating rock drifts in the sky, an ominous and silent monument to that tragic folly.\nIt is... unsettling, I must admit. The silence of it is almost too much to bear. No wind, no sound\u2014just the presence of that floating anomaly, ever watching. We are still divided on the matter. Some suggest we should explore it, see what secrets it might hold. Others\u2014myself included\u2014believe it wiser to avoid it, lest we invite yet more chaos into our realm. The risk, as always, is great. The unknown, even greater."}]

tellraw @s[scores={trigger.talked_to_villager=65}] [{"selector":"@e[type=minecraft:villager,limit=1,tag=alaric]"},{"text":": TEMP"}]

scoreboard players reset @s trigger.talked_to_villager
scoreboard players enable @s trigger.talked_to_villager
